function math:GetOrdinal(number)
	local ordinal = "th";
	if number == 1 then
		ordinal = "st";
	elseif number == 2 then
		ordinal = "nd";
	elseif number == 3 then
		ordinal = "rd";
	end
	
	return string.format("%d%s", number, ordinal);
end

function math:RoundToInt(number)
	return math.floor(number + 0.5);
end

function math:IsValidInt(numberText, minValue, maxValue)
	if string.match(numberText, "^%d+$") then
		local number = tonumber(numberText);
		if (minValue == nil or number >= minValue) and (maxValue == nil or number <= maxValue) then
			return true;
		end
	end
	
	return false;
end